%global __brp_check_rpaths %{nil}
%global packname  ggmcmc
%global packver   1.5.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.5.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Tools for Analyzing MCMC Simulations from Bayesian Inference

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5
Requires:         R-core >= 3.5
BuildArch:        noarch
BuildRequires:    R-CRAN-tidyr >= 1.1.0
BuildRequires:    R-CRAN-GGally >= 1.1.0
BuildRequires:    R-CRAN-dplyr >= 1.0.0
BuildRequires:    R-CRAN-ggplot2 
Requires:         R-CRAN-tidyr >= 1.1.0
Requires:         R-CRAN-GGally >= 1.1.0
Requires:         R-CRAN-dplyr >= 1.0.0
Requires:         R-CRAN-ggplot2 

%description
Tools for assessing and diagnosing convergence of Markov Chain Monte Carlo
simulations, as well as for graphically display results from full MCMC
analysis. The package also facilitates the graphical interpretation of
models by providing flexible functions to plot the results against
observed variables, and functions to work with hierarchical/multilevel
batches of parameters (Fernández-i-Marín, 2016
<doi:10.18637/jss.v070.i09>).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
